Package de.gebit.integrity.operations

## Class UnexecutableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.gebit.integrity.operations.UnexecutableException

- All Implemented Interfaces:
    `Serializable`

      public class UnexecutableException
      extends Exception

  This exception is thrown if an operation cannot be executed (usually because it depends on variables or constants which are not resolvable, but could also be the case because of other runtime failures).
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnexecutableException​(Operation anOperation)` | Instantiates a new unexecutable exception.
    `UnexecutableException​(Operation anOperation, String aMessage)` | Instantiates a new unexecutable exception.
    `UnexecutableException​(Operation anOperation, String aMessage, Throwable aCause)` | Instantiates a new unexecutable exception.
    `UnexecutableException​(Operation anOperation, Throwable aCause)` | Instantiates a new unexecutable exception.
    `UnexecutableException​(String aMessage)` | Instantiates a new unexecutable exception.
    `UnexecutableException​(String aMessage, Throwable aCause)` | Instantiates a new unexecutable exception.
    `UnexecutableException​(Throwable aCause)` | Instantiates a new unexecutable exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getMessage()` |
    `String` | `getOperationLocation()` | Returns a string detailing the location of the problematic operation in the test scripts.
    `void` | `setOperation​(Operation anOperation)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnexecutableException

          public UnexecutableException​(Operation anOperation)

      Instantiates a new unexecutable exception.

    - #### UnexecutableException

          public UnexecutableException​(Operation anOperation,
                                       String aMessage,
                                       Throwable aCause)

      Instantiates a new unexecutable exception.
      Parameters:
        `aMessage` - the a message
        `aCause` - the a cause

    - #### UnexecutableException

          public UnexecutableException​(String aMessage,
                                       Throwable aCause)

      Instantiates a new unexecutable exception.
      Parameters:
        `aMessage` - the a message
        `aCause` - the a cause

    - #### UnexecutableException

          public UnexecutableException​(String aMessage)

      Instantiates a new unexecutable exception.
      Parameters:
        `aMessage` - the a message

    - #### UnexecutableException

          public UnexecutableException​(Operation anOperation,
                                       String aMessage)

      Instantiates a new unexecutable exception.
      Parameters:
        `aMessage` - the a message

    - #### UnexecutableException

          public UnexecutableException​(Operation anOperation,
                                       Throwable aCause)

      Instantiates a new unexecutable exception.
      Parameters:
        `aCause` - the a cause

    - #### UnexecutableException

          public UnexecutableException​(Throwable aCause)

      Instantiates a new unexecutable exception.
      Parameters:
        `aCause` - the a cause

  - ### Method Detail

    - #### setOperation

          public void setOperation​(Operation anOperation)

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

    - #### getOperationLocation

          public String getOperationLocation()

      Returns a string detailing the location of the problematic operation in the test scripts. Is a null value if no location information was determinable.
      Returns:
        a string or null